com::lomiri::location::service::session::Interface Class Reference

Models a session with the location service. More...

`#include <interface.h>`

Inheritance diagram for com::lomiri::location::service::session::Interface:
Collaboration diagram for com::lomiri::location::service::session::Interface:

## Classes

struct | Errors
struct | Updates
| Encapsulates updates provided for this session, and the ability to enable/disable updates. More...

## Public Types

typedef std::shared_ptr< Interface > | Ptr

## Public Member Functions

| Interface (const Interface &)=delete
virtual | ~Interface () noexcept
Interface & | operator= (const Interface &)=delete
virtual Updates & | updates ()
| Provides access to the updates delivered for this session.

## Protected Member Functions

| Interface ()

## Detailed Description

Models a session with the location service.

Definition at line 42 of file service/session/interface.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<Interface> com::lomiri::location::service::session::Interface::Ptr

Definition at line 105 of file service/session/interface.h.

## Constructor & Destructor Documentation

## Interface() [1/2]

com::lomiri::location::service::session::Interface::Interface | ( | const Interface & |  | ) |

delete

References Interface().

Referenced by Interface(), Interface(), and operator=().

Here is the call graph for this function:

## ~Interface()

virtual com::lomiri::location::service::session::Interface::~Interface | ( |  | ) |

virtual noexcept

## Interface() [2/2]

com::lomiri::location::service::session::Interface::Interface | ( |  | ) |

protected

References Interface().

Here is the call graph for this function:

## Member Function Documentation

## operator=()

Interface & com::lomiri::location::service::session::Interface::operator= | ( | const Interface & |  | ) |

delete

References Interface().

Here is the call graph for this function:

## updates()

virtual Updates & com::lomiri::location::service::session::Interface::updates | ( |  | ) |

virtual

Provides access to the updates delivered for this session.

Returns
  A mutable reference to updates.

References updates().

Referenced by updates().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- service/session/interface.h